<?
# DMI-GAL - An Image Gallery derived from DMI
# dmi-autoconf.php - Config defaults filefotos/2001-12-02/thumbs/15
# Copyright (c) 2002 Tony J. White <tjw@tjw.or>
# Copyright (c) 2002 Sandino Araico Snchez <sandino@sandino.net>

/*  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
# Changelog:
# 2002-01-25 Tony J. White tjw@tjw.org - DirectoryMediaIndex (dmi) 1.2
# 2002-03-14 Sandino Araico Snchez - separated dmi-autoconf from dmi-conf.php
# 2002-08-29 Sandino Araico Snchez - Moved config to constants
# 2002-09-08 Sandino Araico Snchez - Replace more variables with constants

if(!defined('__DMI_AUTO_CONF'))
{
define('__DMI_AUTO_CONF',1);
// auto config
if(!defined('__DMI_PHOTO_DIR')) define('__DMI_PHOTO_DIR', dirname($SCRIPT_FILENAME));
if(!defined('__DMI_WEB_PHOTO_DIR')) define('__DMI_WEB_PHOTO_DIR', dirname($SCRIPT_NAME));
if(!defined('__DMI_CONVERT_PROG')) define('__DMI_CONVERT_PROG','convert');
if(!defined('__DMI_DUMPMPEG_PROG')) define('__DMI_DUMPMPEG_PROG', 'dumpmpeg');
if(!defined('__DMI_MPGINFO_PROG')) define('__DMI_MPGINFO_PROG', 'mpginfo');
if(!defined('__DMI_MPEG_FRAME_FREQ')) define('__DMI_MPEG_FRAME_FREQ', 30);
if(!defined('__DMI_ANIM_DELAY')) define('__DMI_ANIM_DELAY', 100);

if(defined('__DMI_BIG')) {
	define('__DMI_TABLE_COLS', 1);
	define('__DMI_TABLE_ROWS', 1);
	define('__DMI_TABLE_AREA', 1);
} else {
	if(!defined('__DMI_COLS')) define('__DMI_TABLE_COLS', 4);
	else define('__DMI_TABLE_COLS', __DMI_COLS);
	if(!defined('__DMI_ROWS')) define('__DMI_TABLE_ROWS', 128);
	else define('__DMI_TABLE_ROWS', __DMI_ROWS);
	define('__DMI_TABLE_AREA', __DMI_TABLE_COLS*__DMI_TABLE_ROWS);
}
if($FIRST <= 0) $FIRST = 0;

if(defined('__DMI_BIG')) {
	if(empty($BIG_WIDTH)) $THUMB_WIDTH = 600;
	else $THUMB_WIDTH = $BIG_WIDTH;
	if(empty($BIG_HEIGHT)) $THUMB_HEIGHT = 450;
	else $THUMB_HEIGHT = $BIG_HEIGHT;
} else {
	if(empty($THUMB_WIDTH)) $THUMB_WIDTH = 20;
	if(empty($THUMB_HEIGHT)) $THUMB_HEIGHT = 22;
}
if(empty($THUMB_BORDER)) $THUMB_BORDER = 1;

if(empty($BOT_NAV_HEIGHT)) $BOT_NAV_HEIGHT=350;
$BOT_NAV_SHOW=($HEIGHT*$THUMB_HEIGHT > $BOT_NAV_HEIGHT)?1:0;

if(!defined('__DMI_THUMBS_DIR_BASE')) define('__DMI_THUMBS_DIR_BASE',__DMI_PHOTO_DIR.'/thumbs');
if(!defined('__DMI_THUMBS_DIR'))
{
	$THUMBS_DIR=__DMI_THUMBS_DIR_BASE.(ereg('/$',__DMI_THUMBS_DIR_BASE)?'':'/').$THUMB_WIDTH.'x'.$THUMB_HEIGHT.'/';
	s_log("THUMBS_DIR: $THUMBS_DIR");
	define('__DMI_THUMBS_DIR',$THUMBS_DIR);
}

if(empty($THUMB_SCRIPT)) $THUMB_SCRIPT='dmi-thumb.php';
if(empty($BIG_SCRIPT)) $BIG_SCRIPT='dmi-big.php';
if(empty($DMI_SCRIPT)) $DMI_SCRIPT='dmi.php';

if(empty($template_prefix)) $template_prefix='dmi';
if(empty($template_date_format)) $template_date_format='Y-m-d';

s_log("PHOTO_DIR:\t ".__DMI_PHOTO_DIR);
s_log("WEB_PHOTO_DIR:\t ".__DMI_WEB_PHOTO_DIR);
s_log("CONVERT_PROG:\t ".__DMI_CONVERT_PROG);
s_log("DUMPMPEG_PROG:\t ".__DMI_DUMPMPEG_PROG);
s_log("MPGINFO_PROG:\t ".__DMI_MPGINFO_PROG);
s_log("MPEG_FRAME_FREQ:\t ".__DMI_MPEG_FRAME_FREQ);
s_log("ANIM_DELAY:\t ".__DMI_ANIM_DELAY);

if(!defined('DMI_NAV_SHOW_EDGES')) define('DMI_NAV_SHOW_EDGES',0);

} // __DMI_AUTO_CONF
?>
